/*
 * Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatCardModule  } from '@angular/material/card';
import { BciSharedModule } from '@bci-web-core/core';
import { ScrollIntoViewService } from '../shared/scroll-into-view.service';
import { BoschColorComponent } from './bosch-color.component';

describe('BoschColorComponent', () => {
  let component: BoschColorComponent;
  let fixture: ComponentFixture<BoschColorComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [MatCardModule, BciSharedModule],
        declarations: [BoschColorComponent],
        providers:[ScrollIntoViewService]
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BoschColorComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should be created', () => {
    expect(component).toBeTruthy();
  });
});
